<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<script>
import { checkVersion } from '@/libs/util'

export default {
  name: 'App',
  methods: {
  },
  mounted () {
    /* 轮询监听是否发布新版本 */
    if (process.env.NODE_ENV !== 'development') {
      checkVersion()
      setInterval(() => {
        checkVersion()
      }, 10000)
    }
  }
}
</script>

<style lang="less">
.size{
  width: 100%;
  height: 100%;
}
html,body{
  .size;
  overflow: hidden;
  margin: 0;
  padding: 0;
}
#app {
  .size;
}
</style>
